# How to use

## Initialize

In your module.ts file import userpilot and initialize with your app token

```js
import { Userpilot } from 'userpilot'
Userpilot.initialize('< your app token >');
```

### Enterprise users

For our enterprise users you must also specify the endpoint parameter, you can get the endpoint parameter from the installation instructions in our web app.

```js
import { Userpilot } from 'userpilot'
Userpilot.initialize('< your app token >', { endpoint: '<your API endpoint>' });
```

## Identify User

```js
// .....

import { Userpilot } from 'userpilot'

// .....

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.scss']
})
export class LoginComponent implements OnInit {

  // .....

  login() {
    this.loginService.login(this.form.value).then((user) => {

      Userpilot.identify(user.id, {name: user.firstName, email: user.email,created_at: user.signedUp});

      // ....

    }).catch((err) => {

    });
  }

}

```

## For more information about Userpilot API please visit https://docs.userpilot.com
